/**
   Locator.java
   
   Created: Fri Mar 31 09:43:51 2000
   
   @author Hans Kyndesgaard
   @version 1
*/
public interface Locator  {

    /**
       Returns the element. <i>O</i>(<i>1</i>).

       @return the element associated with this locator.
    */
    public Object element();

    /**
       Returns true if the element is still contained.
       <i>O</i>(<i>1</i>).
       
       @return true if the element is still in a container.
    */
    public boolean isContained();

    /**
       Returns the container of the element. <i>O</i>(<i>1</i>).

       @return the container of the element associated with this
       locator.
    */
    public Object container();

} // Locator
